Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT > Class Template Reference

Mixin base class for generated home servant. More...

`#include <Home_Servant_Impl_T.h>`

Inheritance diagram for CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >:

[legend]
Collaboration diagram for CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >:

[legend]
List of all members.

## Public Member Functions
| Home_Servant_Impl (EXEC *exe, Session_Container *c, const char *ins_name)
virtual | ~Home_Servant_Impl (void)
virtual void | remove_component (Components::CCMObject_ptr comp ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::RemoveFailure)
virtual ::Components::CCMObject_ptr | create_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::CreateFailure)
virtual COMP * | create (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::CreateFailure)
virtual void | update_component_map (PortableServer::ObjectId &oid)
## Protected Types
typedef ACE_Hash_Map_Manager_Ex< PortableServer::ObjectId, Components::CCMObject_var, TAO_ObjectId_Hash, ACE_Equal_To< PortableServer::ObjectId >, ACE_SYNCH_MUTEX > | OBJREF_MAP
typedef OBJREF_MAP::iterator | OBJ_ITERATOR
## Protected Member Functions
COMP * | _ciao_activate_component (COMP_EXEC *exe ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | _ciao_passivate_component (COMP *comp ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Attributes
const char * | ins_name_
EXEC_VAR | executor_
OBJREF_MAP | objref_map_

## Detailed Description

### template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
class CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >

Mixin base class for generated home servant.

This class implements operations common to all generated home servants.

## Member Typedef Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
typedef OBJREF_MAP::iterator CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::OBJ_ITERATOR`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
typedef ACE_Hash_Map_Manager_Ex<PortableServer::ObjectId, Components::CCMObject_var, TAO_ObjectId_Hash, ACE_Equal_To<PortableServer::ObjectId>, ACE_SYNCH_MUTEX> CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::OBJREF_MAP`[protected]`

## Constructor & Destructor Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::Home_Servant_Impl | ( | EXEC * | exe,
|  | Session_Container * | c,
|  | const char * | ins_name
| ) |

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::~Home_Servant_Impl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
COMP * CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::_ciao_activate_component | ( | COMP_EXEC *exe | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
void CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::_ciao_passivate_component | ( | COMP *comp | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
COMP * CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::create | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Components::CreateFailure)`[virtual]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
Components::CCMObject_ptr CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::create_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Components::CreateFailure)

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
virtual void CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::remove_component | ( | Components::CCMObject_ptr comp | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Components::RemoveFailure)`[virtual]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
void CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::update_component_map | ( | PortableServer::ObjectId & | oid | ) | `[virtual]`

## Member Data Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
EXEC_VAR CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::executor_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
const char* CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::ins_name_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
OBJREF_MAP CIAO::Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::objref_map_`[protected]`

The documentation for this class was generated from the following files:

- Home_Servant_Impl_T.h
- Home_Servant_Impl_T.cpp